org.apache.fop.fonts.cff

## Class CFFDataReader.DICTEntry

- java.lang.Object
- - org.apache.fop.fonts.cff.CFFDataReader.DICTEntry

Enclosing class:
  CFFDataReader

    public static class CFFDataReader.DICTEntry
    extends Object

A class containing data for a dictionary entry

### Constructor Summary

Constructors
Constructor and Description
`DICTEntry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getByteData()`
`int` `getOffset()`
`int` `getOperandLength()`
`List<Integer>` `getOperandLengths()`
`List<Number>` `getOperands()`
`int[]` `getOperator()`
`String` `getOperatorName()`
`void` `setByteData(byte[] data)`
`void` `setOffset(int offset)`
`void` `setOperandLength(int operandLength)`
`void` `setOperandLengths(List<Integer> operandLengths)`
`void` `setOperands(List<Number> operands)`
`void` `setOperator(int[] operator)`
`void` `setOperatorName(String operatorName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DICTEntry

    public DICTEntry()

### Method Detail

#### setOperator

    public void setOperator(int[] operator)

#### getOperator

    public int[] getOperator()

#### setOperands

    public void setOperands(List<Number> operands)

#### getOperands

    public List<Number> getOperands()

#### setOperatorName

    public void setOperatorName(String operatorName)

#### getOperatorName

    public String getOperatorName()

#### setOffset

    public void setOffset(int offset)

#### getOffset

    public int getOffset()

#### setOperandLength

    public void setOperandLength(int operandLength)

#### getOperandLength

    public int getOperandLength()

#### setByteData

    public void setByteData(byte[] data)

#### getByteData

    public byte[] getByteData()

#### setOperandLengths

    public void setOperandLengths(List<Integer> operandLengths)

#### getOperandLengths

    public List<Integer> getOperandLengths()